Ticket #39851

ロケーションペインで、移動ブロックどうしを結ぶ斜め線が表示されない

Open Date: 2019-12-17 17:02 Last Update: 2019-12-29 20:44

Reporter:
(Anonymous)
Owner:
Type:
Status:
Closed
Component:
(None)
MileStone:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
2

Details

最近のバージョンでテキストの差分を表示させると、ロケーションペインの 移動ブロックどうしを結ぶ斜め線が表示されません。
確認した範囲では、2.16.4-jp-5, 2.16.4-jp-9, 2.16.5.0 で現象が発生します。

Ticket History (3/11 Histories)

2019-12-17 17:02 Updated by: None
  • New Ticket "ロケーションペインで、移動ブロックどうしを結ぶ斜め線が表示されない" created
2019-12-18 00:06 Updated by: None
Comment

ご連絡ありがとうございます。

こちらの環境で確認してみましたが、再現はできませんでした。

確認なのですが、ロケーションペインを右クリックしたとき、 「移動ブロックなし」が選択されていないでしょうか?

もしそうであれば、「全移動ブロック表示」を選択すると線が表示されるようになると思います。

(Edited, 2019-12-18 00:07 Updated by: sdottaka)
2019-12-18 09:34 Updated by: None
Comment

Reply To (Anonymous)

もしそうであれば、「全移動ブロック表示」を選択すると線が表示されるようになると思います。

おお、こんなところにオプションがあったのですね。
ありがとうございます。

2019-12-25 15:47 Updated by: None
Comment

2.16.4-jp-9, 2.16.5.0

下記の文字列で「空行を無視する」ONにすると、移動ブロックの色分けと斜め線の有無が一致しなくなります。
ファイル1の末尾は「}改行、改行」、ファイル2の末尾は「}改行」です。
左右を入れ替えると、現象の出方が異なります。

ファイル末尾の「}」は一致行なので、移動ブロックの検出対象外とするのが妥当のように思います。

【ファイル1】
============================
function aaa () {

a1();

}

function ccc () {

c3();

}

============================

【ファイル2】
============================
function aaa () {

a1();

}

function bbb () {

b2();

}

function ccc () {

c3();

}
============================

2019-12-25 23:28 Updated by: sdottaka
  • File #39851.png (File ID: 5596) is attached
2019-12-25 23:28 Updated by: sdottaka
Comment

ご連絡ありがとうございます。

添付のように斜め線が表示されないということでよろしいでしょうか? すぐに修正できないかもしれませんが見てみます。

すみません。読み違えていました。 添付 39851_2.png のように 右側7行目の} が移動行として検出されてしまう問題を https://osdn.net/projects/winmerge-jp/scm/git/winmerge-jp/commits/d040c9c424f7d7769cdcbe662e3fd6d2a8dd5139 で修正しました。

(Edited, 2019-12-29 14:40 Updated by: sdottaka)
2019-12-25 23:30 Updated by: sdottaka
  • File #39851.png (File ID: 5596) is deleted
2019-12-29 14:41 Updated by: sdottaka
  • Owner Update from (None) to sdottaka
  • Resolution Update from None to Fixed
2019-12-29 20:44 Updated by: sdottaka
  • Status Update from Open to Closed

Attachment File List

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login